diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 63f950b179..245fb3babd 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -7,6 +7,12 @@ test_description='quoted output'
 
 . ./test-lib.sh
 
+P1='pathname	with HT'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+	echo >&2 'Filesystem does not support HT in names'
+	test_done
+}
+
 FN='濱野'
 GN='純'
 HT='	'